Skip to main content
GET
/
v1
/
list-calls
List Calls
curl --request GET \
  --url https://api.telli.com/v1/list-calls \
  --header 'Authorization: <api-key>'
{
  "calls": [
    {
      "call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "attempt": 123,
      "from_number": "<string>",
      "to_number": "<string>",
      "direction": "<string>",
      "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "triggered_at": 123,
      "triggered_at_iso": "<string>",
      "started_at": 123,
      "started_at_iso": "<string>",
      "ended_at": 123,
      "ended_at_iso": "<string>",
      "call_length_min": 123,
      "call_status": "COMPLETED",
      "transcript": "<string>",
      "transcriptObject": [
        {
          "role": "user",
          "content": "<string>"
        }
      ],
      "call_analysis": {},
      "call_outcome": {},
      "collected_data": {},
      "booked_slot_for": "<string>",
      "recording_url": "<string>",
      "ended_reason": "agent-ended-call"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key must be provided as: Bearer <api_key>

Query Parameters

contact_id
string<uuid>

Only return calls for this telli contact ID

limit
integer
default:50

Maximum number of calls to return (1-100, default 50)

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned as next_cursor from a previous response. Pass unchanged to fetch the next page.

Response

Calls retrieved successfully

calls
object[]

Calls ordered by triggered_at descending

next_cursor
string | null

Pass as cursor in the next request to fetch more results. null when there are no more pages.